package com.muyu.cloud.auth.domain.request;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/10
 * @注释
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserReq {
    @NotBlank(message = "手机号不能为空")
    private String userTel;
    private String password;
}
