package com.muyu.cloud.auth.service;

import com.muyu.cloud.auth.domain.request.UserReq;
import com.muyu.cloud.auth.domain.response.TokenRes;
import com.muyu.cloud.system.domain.UserInfo;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/10
 * @注释
 */
public interface AuthService {
    UserInfo loginUser(UserReq userReq);

    TokenRes getToken(UserInfo userInfo);

    UserInfo getInfo(String userKey);

    void logout(String userKey);


}
