package com.muyu.test;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

import javax.annotation.Resource;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/6/12 9:28
 * @注释
 */
@SpringBootTest
public class BcryPassword {
    @Resource
    private BCryptPasswordEncoder bCryptPasswordEncoder;

    @Test
    public void getPassword(){
        String encode = bCryptPasswordEncoder.encode("123456");
        System.out.println("密码123456加密后为:"+encode);
        System.out.println(bCryptPasswordEncoder.matches("123456",encode));


    }
}
