package com.muyu.common.constant;

/**
 * @Author: xie ya ru
 * @Description: 服务名称常量
 * @Data 2024/7/10
 * @Version: 1.0
 */
public class ServerNameConstants {

    /**
     * 系统服务服务名称
     */
    public final static String SYSTEM_NAME = "system-server";
    public final static String GOODS_NAME = "system-goods";

    /**
     * 系统API远程调用前缀
     */
    public static interface SystemApi {
        // 用户远程前缀
        String USER_INFO_API = "/user";
        String GOODS_INFO_API ="/goods";
    }
}
