package com.muyu.cloud.system.domain.response;

import com.muyu.cloud.system.domain.Audit;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 10:44
 * @注释
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AuditResp extends Audit {
    private String username ;
    private String userTel ;
    private String password ;
    private Integer number ;
    private Integer role ;
    private Integer creditScore ;
    private Integer userSex ;
    private Integer userAge ;
    private String houseName;
    private Integer methodId;
    private Double houseArea;
    private String houseImg;
    private BigDecimal houseMonthMoney;
    private Integer contractTime;




}
