package com.muyu.house;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 10:37
 * @注释
 */
@SpringBootApplication
@EnableFeignClients( basePackages = {"com.muyu.**"})
@EnableScheduling
public class HouseApplication {
    public static void main(String[] args) {
        SpringApplication.run(HouseApplication.class,args);
    }
}
