package com.muyu.house.controller;

import com.muyu.cloud.system.domain.Contract;
import com.muyu.common.result.Result;
import com.muyu.house.service.ContractService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 13:54
 * @注释
 */
@RestController
@RequestMapping("/contract")
public class ContractController {
    @Resource
    private ContractService contractService;

    @GetMapping("/selectContractData")
    public Result<List<Contract>> selectContractData(){
        return Result.success(contractService.showContract());
    }
}
