package com.muyu.house.controller;

import com.muyu.cloud.system.domain.Method;
import com.muyu.common.result.Result;
import com.muyu.house.service.MethodService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 11:08
 * @注释
 */
@RestController
@RequestMapping("/method")
public class MethodController {
    @Resource
    private MethodService methodService;

    @GetMapping("/showMethod")
    public Result<List<Method>> showMethod(){
       List<Method> methodList = methodService.showMethod();
       return Result.success(methodList);
    }
}
