package com.muyu.house.mapper;

import com.muyu.cloud.system.domain.Audit;
import com.muyu.cloud.system.domain.UserInfo;
import com.muyu.cloud.system.domain.response.AuditResp;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 11:04
 * @注释
 */
@Mapper
public interface AuditMapper {
    Integer findByAudit(Integer id);

    void addAudit(Audit audit);

    List<AuditResp> showAudit(UserInfo userInfo);

    void updateStatus(Audit audit);

    List<Audit> showAu();
}
