package com.muyu.house.service.impl;

import com.muyu.cloud.system.domain.House;
import com.muyu.cloud.system.domain.Method;
import com.muyu.cloud.system.domain.response.HouseResp;
import com.muyu.common.result.Result;
import com.muyu.house.mapper.HouseMapper;
import com.muyu.house.service.HouseService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 10:46
 * @注释
 */
@Service
public class HouseServiceImpl implements HouseService {
    @Resource
    private HouseMapper houseMapper;

    @Override
    public List<HouseResp> showHouses(House house) {
        return houseMapper.showHouses(house);
    }

    @Override
    public House findHouseById(Integer houseId) {

        return houseMapper.findHouseById(houseId);
    }
}
