package com.muyu.cloud.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.convert.DurationFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 10:37
 * @注释
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class House {
    private Integer houseId;
    private String houseName;
    private Integer methodId;
    private Double houseArea;
    private String houseImg;
    private BigDecimal houseMonthMoney;
    private BigDecimal houseBigMoney;
    private BigDecimal houseMinMoney;

    private Integer pageNum=1;
    private Integer pageSize=3;


}
