package com.muyu.house.service;

import com.muyu.cloud.system.domain.Audit;
import com.muyu.cloud.system.domain.UserInfo;
import com.muyu.cloud.system.domain.response.AuditResp;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 11:03
 * @注释
 */
public interface AuditService {
    Integer findByAudit(UserInfo userInfo);

    void addAudit(Audit audit);

    List<AuditResp> showAudit(UserInfo userInfo);

    void updateStatus(Audit audit,UserInfo userInfo);

    List<Audit> showAu();

}
